# round-half-to-even

round-half-to-even($arg as numeric?) → numeric?

Rounds a numeric value to the nearest whole number, rounding x.5 towards the nearest even number.

Arguments
| $arg | numeric? | The value to be rounded to the nearest whole number
Result | numeric?

round-half-to-even($arg as numeric?, $precision as xs:integer) → numeric?

Rounds a numeric value to the nearest multiple of ten to the power of minus `$precision`, rounding x.5 towards positive infinity.

Arguments
| $arg | numeric? | The value to be rounded to a given number of decimal places
| $precision | xs:integer | The number of decimal places required
Result | numeric?

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next